<?php



function woo_options(){
// VARIABLES
$themename = "Premium News";
$shortname = "woo";
$manualurl = 'http://www.woothemes.com/support/theme-documentation/the-original-premium-news/';



$GLOBALS['template_path'] = get_bloginfo('template_directory');

//Access the WordPress Categories via an Array
$woo_categories = array();  
$woo_categories_obj = get_categories('hide_empty=0');
foreach ($woo_categories_obj as $woo_cat) {
    $woo_categories[$woo_cat->cat_ID] = $woo_cat->cat_name;}
$categories_tmp = array_unshift($woo_categories, "Выберите рубрику:");    
       
//Access the WordPress Pages via an Array
$woo_pages = array();
$woo_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($woo_pages_obj as $woo_page) {
    $woo_pages[$woo_page->ID] = $woo_page->post_name; }
$woo_pages_tmp = array_unshift($woo_pages, "Выбрать страницу:");       


//Testing 
$options_select = array("one","two","three","four","five"); 
$options_radio = array("one" => "Один","two" => "Два","three" => "Три","four" => "Четыре","five" => "Пять"); 

//Stylesheets Reader
$alt_stylesheet_path = TEMPLATEPATH . '/styles/';
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }    
    }
}

//More Options
$all_uploads_path = get_bloginfo('home') . '/wp-content/uploads/';
$all_uploads = get_option('woo_uploads');
$other_entries = array("Выберите количество:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");

// THIS IS THE DIFFERENT FIELDS
$options = array();   

$options[] = array( "name" => "Общие настройки (Basic Options)",
                    "type" => "heading");
                        
$options[] = array( "name" => "Стиль темы",
					"desc" => "Выберите альтернативную цветовую схему.",
					"id" => $shortname."_alt_stylesheet",
					"std" => "default.css",
					"type" => "select",
					"options" => $alt_stylesheets);

$options[] = array( "name" => "Лого",
					"desc" => "Загрузите лого для вашей темы, или укажите адрес картинки (http://yoursite.com/logo.png).",
					"id" => $shortname."_logo",
					"std" => "",
					"type" => "upload");    
                                                                                     
$options[] = array( "name" => "Фавиконка",
					"desc" => "Загрузите картинку 16px x 16px в формате <a href='http://www.faviconr.com/'>ico</a>, которая будет использоваться в качестве фавиконки сайта.",
					"id" => $shortname."_custom_favicon",
					"std" => "",
					"type" => "upload"); 
                                               
$options[] = array( "name" => "Код статистики",
					"desc" => "Вставьте свой код Google Analytics (или другой) здесь. Он будет добавлен в подвале темы.",
					"id" => $shortname."_google_analytics",
					"std" => "",
					"type" => "textarea");        

$options[] = array( "name" => "Адрес RSS",
					"desc" => "Введите желаемый адрес RSS-ленты. (Feedburner или другой)",
					"id" => $shortname."_feedburner_url",
					"std" => "",
					"type" => "text");
                    
$options[] = array( "name" => "Подписка по E-mail",
					"desc" => "Введите адрес для подписки по E-mail. (Feedburner или другой)",
					"id" => $shortname."_feedburner_id",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => "Пользовательские CSS",
                    "desc" => "Вы можете бысто добавиьь некоторые CSS-стили в вашу тему через этот блок.",
                    "id" => $shortname."_custom_css",
                    "std" => "",
                    "type" => "textarea");

$options[] = array(	"name" => "Страница архива",
						"desc" => "Введите адрес страницы архива. Совет: добавьте архив путем создания новой страницы (Написать > Страница), и выбрав шаблон Archive. ",
						"id" => $shortname."_archives",
						"std" => "",
						"type" => "text");

$options[] = array(	"name" => "Структура главной страницы (Frontpage Layout)",
						"type" => "heading");

$options[] = array(	"name" => "Блоговая структура",
						"desc" => "Нормальный одноколоночный вывод записей блога?",
			    		"id" => $shortname."_layout",
			    		"std" => "false",
			    		"type" => "checkbox");

$options[] = array(	"name" => "Количество записей на главной",
						"desc" => "Выберите количество записей, которые должны отображаться в блоке Рекомендуем или в блоке Видео.",
			    		"id" => $shortname."_other_entries",
			    		"std" => "6",
			    		"type" => "select",
			    		"options" => $other_entries);	
						
$options[] = array( 	"name" => "Рубрика рекомендуемых статей",
					   	"desc" => "Выберите рубрику, публикации из которой вы хотите показывать в секции Рекомендуем на главной.",
						"id" => $shortname."_featured_category",
						"std" => "Выберите рубрику:",
						"type" => "select",
						"options" => $woo_categories);						

$options[] = array(	"name" => "Показывать видео?",
						"desc" => "Отметьте галочкой, если хотите показывать видео на главной.",
						"id" => $shortname."_show_video",
						"std" => "false",
						"type" => "checkbox");
						
$options[] = array( 	"name" => "Рубрика видео",
					   	"desc" => "Выберите рубрику, публикации из которой вы хотите показывать в секции Видео на главной.",
						"id" => $shortname."_video_category",
						"std" => "Выберите рубрику:",
						"type" => "select",
						"options" => $woo_categories);
						
$options[] = array(	"name" => "Компоненты бокового меню (Sidebar Components)",
						"type" => "heading");

$options[] = array(	"name" => "ID Flickr",
						"desc" => "Используйте <a href='http://idgettr.com/'>idGettr, чтобы узнать его.</a>",
			    		"id" => $shortname."_flickr_id",
			    		"std" => "",
			    		"type" => "text");											

$options[] = array(	"name" => "Количество фото",
						"desc" => "Выберите количество фото для показа в боковом меню (3 фото в ряд)",
			    		"id" => $shortname."_flickr_entries",
			    		"std" => "Select a Number:",
			    		"type" => "select",
			    		"options" => $other_entries);												

$options[] = array(	"name" => "Адрес Flickr",
						"desc" => "Укажите адрес аккаунта Flickr здесь.",
			    		"id" => $shortname."_flickr_url",
			    		"std" => "",
			    		"type" => "text");																						

$options[] = array(	"name" => "Миниатюры (Thumb)",
						"type" => "heading");
 

$options[] = array( "name" => "Включить ресайзинг картинок",
					"desc" => "Подключение скрипта thumb.php, который динамически изменяет размер картинок на вашем сайте.",
					"id" => $shortname."_resize",
					"std" => "true",
					"type" => "checkbox");    
                    
$options[] = array( "name" => "Автоматические миниатюры",
					"desc" => "Если в произвольном поле image не указана миниатюра, будет использоваться первая загруженная картинка.",
					"id" => $shortname."_auto_img",
					"std" => "true",
					"type" => "checkbox");  

$options[] = array( "name" => "Показывать картинки в RSS-ленте",
					"desc" => "В RSS-ленте будет показана картинка из произвольного поля image.",
					"id" => $shortname."_rss_thumb",
					"std" => "false",
					"type" => "checkbox");    


$options[] = array(	"name" => "Управление банерами (Banners)",
						"type" => "heading");

$options[] = array(	"name" => "Страница рекламы",
						"desc" => "Введите адрес страницы рекламы, которая содержит информацию для рекламодателей.",
						"id" => $shortname."_ad_page",
						"std" => "",
						"type" => "text");

$options[] = array(	"name" => "Банер №1 - Адрес картинки",
					"desc" => "Введите адрес картинки банера.",
					"id" => $shortname."_ad_image_1",
					"std" => "http://www.woothemes.com/ads/125x125b.jpg",
					"type" => "text");
						
$options[] = array(	"name" => "Банер №1 - Куда ведет банер",
					"desc" => "Укажите, на какую страницу ведет банер.",
					"id" => $shortname."_ad_url_1",
					"std" => "http://www.woothemes.com",
					"type" => "text");						

$options[] = array(	"name" => "Банер №2 - Адрес картинки",
					"desc" => "Введите адрес картинки банера.",
					"id" => $shortname."_ad_image_2",
					"std" => "http://www.woothemes.com/ads/125x125b.jpg",
					"type" => "text");
						
$options[] = array(	"name" => "Банер №2 - Куда ведет банер",
					"desc" => "Укажите, на какую страницу ведет банер.",
					"id" => $shortname."_ad_url_2",
					"std" => "http://www.woothemes.com",
					"type" => "text");

$options[] = array(	"name" => "Банер №3 - Адрес картинки",
					"desc" => "Введите адрес картинки банера.",
					"id" => $shortname."_ad_image_3",
					"std" => "http://www.woothemes.com/ads/125x125b.jpg",
					"type" => "text");
						
$options[] = array(	"name" => "Банер №3 - Куда ведет банер",
					"desc" => "Укажите, на какую страницу ведет банер.",
					"id" => $shortname."_ad_url_3",
					"std" => "http://www.woothemes.com",
					"type" => "text");

$options[] = array(	"name" => "Банер №4 - Адрес картинки",
					"desc" => "Введите адрес картинки банера.",
					"id" => $shortname."_ad_image_4",
					"std" => "http://www.woothemes.com/ads/125x125b.jpg",
					"type" => "text");
						
$options[] = array(	"name" => "Банер №4 - Куда ведет банер",
					"desc" => "Укажите, на какую страницу ведет банер.",
					"id" => $shortname."_ad_url_4",
					"std" => "http://www.woothemes.com",
					"type" => "text");

                                           

update_option('woo_template',$options);      
update_option('woo_themename',$themename);   
update_option('woo_shortname',$shortname);
update_option('woo_manual',$manualurl);

                                     
// Woo Metabox Options
                    

$woo_metaboxes = array(

        "image" => array (
            "name" => "image",
            "label" => "Картинка",
            "type" => "upload",
            "desc" => "Загрузите файл..."
        ),
        "embed" => array (
            "name"  => "embed",
            "std"  => "",
            "label" => "Код для вставки",
            "type" => "textarea",
            "desc" => "Введите код для вставки видео"
        )
    );
    
update_option('woo_custom_template',$woo_metaboxes);      

/*
function woo_update_options(){
        $options = get_option('woo_template',$options);  
        foreach ($options as $option){
            update_option($option['id'],$option['std']);
        }   
}

function woo_add_options(){
        $options = get_option('woo_template',$options);  
        foreach ($options as $option){
            update_option($option['id'],$option['std']);
        }   
}


//add_action('switch_theme', 'woo_update_options'); 
if(get_option('template') == 'wooframework'){       
    woo_add_options();
} // end function 
*/


}

add_action('init','woo_options');  

?>